/**
 * Created by John on 7/3/2017.
 */
module.exports = function(sequelize, DataTypes) {
    var AsnAddress = sequelize.define('AsnAddress', {
            id: {
                type: DataTypes.INTEGER,
                field: 'id',
                primaryKey: true,
                autoIncrement: true
            },
            asnId: {
                type: DataTypes.INTEGER,
                field: 'asn_id'
            },
            shipType: {
                type: DataTypes.ENUM(['F', 'T']),
                field: 'ship_type'
            },
            accountId: {
                type: DataTypes.STRING,
                field: 'account_id'
            },
            name: {
                type: DataTypes.STRING,
                field: 'name'
            },
            address: {
                type: DataTypes.STRING,
                field: 'address'
            },
            city: {
                type: DataTypes.STRING,
                field: 'city'
            },
            state: {
                type: DataTypes.STRING,
                field: 'state'
            },
            zip: {
                type: DataTypes.STRING,
                field: 'zip'
            }
        },
        {
            timestamps: false,
            tableName: 'tbl_asn_address',
            indexes: [
                // Create a unique index on device timestamp
                {
                    unique: true,
                    fields: ['asnId','shipType']
                },
            ]
        }
    );
    return AsnAddress;
};