/**
 * Created by John on 11/17/2016.
 */
var AsnHelper = require("../helpers/AsnHelper");

module.exports = function(winston, rabbit, models, config, cb) {
    // variable to hold starting time
    var started = Date.now();

    // variable to hold received count
    var received = 0;

    // expected message count
    var logger = winston.loggers.get("transaction");

    // always setup your message handlers first
    rabbit.nackOnError();

    // this handler will handle messages sent from the publisher
    rabbit.handle({
        queue: 'topic-fresenius-asn-q',
        type: 'asn'
    }, function (msg) {
        received++;
        logger.debug(process.pid + ":ASN POST Received:", JSON.stringify(msg.body), "routingKey:", msg.fields.routingKey);
        var helper = new AsnHelper(models, winston);

        helper.saveAsn(msg.body).then(function(asn){
            msg.ack();
            if (cb) cb(null, asn);
        }).catch(function(err){
            msg.nack();
            if (cb) cb(err, null);
        });

    });


    logger.info(process.pid + ':Set up asn q OK');
    return require("../config/RabbitTopology.js")(rabbit, "asn", config);


};