/**
 * Created by John on 7/14/2017.
 */

var moment = require('moment');
var _ = require("lodash");


function TestHelper() {
    this.items = [
        {  vendorItemId: '42307', description: 'TAZICEF 1GM VL 25X20ML', sapMaterialId: '50022316'},
        {  vendorItemId: '42308', description: 'GENTAMICIN 40MG/ML FTV 25X2ML', sapMaterialId: '50022262'},
        {  vendorItemId: '42309', description: 'VANCOMYCIN 500MG MDV 10/BX', sapMaterialId: '50012561'},
        {  vendorItemId: '42310', description: 'VANCOMYCIN 1GM SDV 10/PK', sapMaterialId: '50012550'},
        {  vendorItemId: '42342', description: 'CEFAZOLIN 1GM VL 25X10ML', sapMaterialId: '50012540'}
    ];
}


TestHelper.prototype.createBasicMessage = function( item, idx, cb ) {
    if (!item) item = this.items[idx];
    var asn = {
        asnId: (new moment()).format("HHmmss"),
        asnDate: new moment(),
        poNumber: "ASDF-12345",
        poDate: (new moment().add(-5, 'days')),
        vendorId: "4432",
        vendorName: "AB",
        clinicId: ".9999BM",
        shipFromId:  "7777",
        shipVia: "AIR",
        vendorItemId: item.vendorItemId,
        ndc: null,
        sapMaterialId: item.sapMaterialId,
        serializationNumber: "serial#",
        shipQty: 100,
        unitPrice: 5.99,
        uom: "",
        description: item.description,
        lot: "A123",
        expiration: (new moment().add(100, 'days')),
        invoiceNumber: "9999",
        lineNumber: "" + (1 + idx),
        trackingId: "1Z37319691464"
    };

    if (cb) cb(null, asn);
    else return asn;
}

TestHelper.prototype.createBasicMessageWithAddress = function( item, idx, cb ) {
    if (!item) item = this.items[idx];
    var asn = {
        asnId: (new moment()).format("HHmmss"),
        asnDate: new moment(),
        poNumber: "ASDF-12345",
        poDate: (new moment().add(-5, 'days')),
        vendorId: "4432",
        vendorName: "AB",
        clinicId: ".9999BM",
        shipTo: {
            accountId: "9999",
            name: "Shawn Trull",
            address: "Street",
            city: "Bridgeport",
            state: "CT",
            zip: "11111"
        },
        shipFrom: {
            accountId: "7777",
            name: "Dummy user",
            address: "123 Main St",
            city: "Pleasanville",
            state: "IL",
            zip: "88888"
        },
        shipVia: "AIR",
        vendorItemId: item.vendorItemId,
        ndc: null,
        sapMaterialId: item.sapMaterialId,
        serializationNumber: "serial#",
        shipQty: 100,
        unitPrice: 5.99,
        uom: "",
        description: item.description,
        lot: "A123",
        expiration: (new moment().add(100, 'days')),
        invoiceNumber: "9999",
        lineNumber: "" + (1 + idx),
        trackingId: "1Z37319691464"
    };

    if (cb) cb(null, asn);
    else return asn;
};

module.exports = TestHelper;
